# Command: Until

Until condition Definition:

The closing command of the REPEAT ... UNTIL loop.

Parameter Description:

condition = any valid expression (see example)

Command Description:

This portion of the REPEAT ... UNTIL loop dictates what condition must be met before the loop stops execution. All commands between the two commands will be executed endlessly until the UNTIL condition is met.

Example:

; Repeat until user hits ESC key Repeat print "Press ESC to quit this!" Until KeyHit(1)

Index